Help icon missing on edit page

Bug #1410009 reported by Hugh Davenport on 2015-01-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Doris

Bug Description

Found this while helping Doris with bug #809297.

When editing a page with a url such as /view/blocks.php?id=9, there is no help text. Talking with Kristina, we could take what was done in collections with "Collection name: Edit ..." which has the help icon (example url /collection/edit.php?id=1). What collections is doing is making use of of the SUBTITLE "define", and using that as the "PAGEHEADING" define.

Note that /lang/en.utf8/help/pages/view/blocks.html does exist as it should.

Cheers,

Hugh

Doris (doristam138) on 2015-01-15
Changed in mahara:
status: Confirmed → Fix Committed
Robert Lyon (robertl-9) on 2015-01-26
Changed in mahara:
status: Fix Committed → In Progress
milestone: none → 15.04.0
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4377

Reviewed: https://reviews.mahara.org/4189
Committed: http://gitorious.org/mahara/mahara/commit/7433f8977b4ce62ad42a4d7b3bd499604bbffbdd
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 7433f8977b4ce62ad42a4d7b3bd499604bbffbdd
Author: Doris Tam <email address hidden>
Date: Thu Jan 15 14:31:39 2015 +1300

This is a sub-patch to add the help icon on editing pages under portfolio/pages

changes have been made to skin page and separate help text pages...

(Bug 1410009)

Change-Id: Iaa454fb48f0ae0b663e08de13121ad188f156d68

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4377
Committed: http://gitorious.org/mahara/mahara/commit/ab43f12a2791f103e38a4dc23764947d082cebd1
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ab43f12a2791f103e38a4dc23764947d082cebd1
Author: Doris Tam <email address hidden>
Date: Wed Mar 11 14:23:40 2015 +1300

Behat tests for checking contextual help in pages

Bug 1410009 and Bug #809297

Change-Id: I87bac22d566de75bc727108ebc49f5b89d84a26d

Reviewed: https://reviews.mahara.org/4481
Committed: http://gitorious.org/mahara/mahara/commit/34e8767f583f45dd0c58df525ec0871ac0c676d7
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 34e8767f583f45dd0c58df525ec0871ac0c676d7
Author: Doris Tam <email address hidden>
Date: Wed Mar 11 14:23:40 2015 +1300

Behat tests for checking contextual help in pages

Bug 1410009 and Bug #809297

Change-Id: I87bac22d566de75bc727108ebc49f5b89d84a26d

Robert Lyon (robertl-9) on 2015-04-16
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers